Bug 417741 - chmsee installs/builds incorrectly?
chmsee installs/builds incorrectly?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: chmsee (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
: 424631 426531 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 02:30 EST by Paul Robinson
Modified: 2008-06-14 04:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 04:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Robinson 2007-12-10 02:30:44 EST
Description of problem:
after chmsee is installed the script /usr/bin/chmsee contains the following:

$ cat /usr/bin/chmsee 
#!/bin/sh
LD_LIBRARY_PATH=/usr/lib/firefox-%{firefox_version} exec
/usr/libexec/chmsee/chmsee "$@"



Version-Release number of selected component (if applicable):
1,0.0-1.27.fc8

How reproducible:
100%

Steps to Reproduce:
1. on a fedora 8 boxen
2. yum install chmsee (or rpm -i chmsee, which ever is most applicable - install
the chmsee package)
3. cat /usr/bin/chmsee
  
Actual results:
#!/bin/sh
LD_LIBRARY_PATH=/usr/lib/firefox-%{firefox_version} exec
/usr/libexec/chmsee/chmsee "$@"

Expected results:
#!/bin/sh
LD_LIBRARY_PATH=/usr/lib/firefox-2.0.0.10 exec /usr/libexec/chmsee/chmsee "$@"

Additional info:
the ${firefox_version} variable doesnt seem to be getting replaced in the rpm.

For a workaround, edit /usr/bin/chmsee and manually replace ${firefox_version}
with 2.0.0.10
Comment 1 Yijun Yuan 2007-12-14 02:50:10 EST
*** Bug 424631 has been marked as a duplicate of this bug. ***
Comment 2 Yijun Yuan 2007-12-14 02:51:24 EST
Help pls..
Comment 3 Patrice Dumas 2007-12-14 04:18:24 EST
This seems to be a result of Bug 352121 resolved without looking
at the actual spec file nor at the build nor testing the resulting 
rpm (and not really paying attention to what was said in the bug 
since in the bug we tried to explain that we were tied to a firefox
version). A way to fix this issue is to revert to the previous spec 
file and rebuild.

Also what is said in Bug 352121 about gecko-libs directory seems
to be plain wrong.
Comment 4 Yijun Yuan 2007-12-21 22:18:28 EST
*** Bug 426531 has been marked as a duplicate of this bug. ***
Comment 5 Naveed Hasan 2008-05-20 12:54:31 EDT
chmsee installs and works correctly for me as of a while ago.
Comment 6 Patrice Dumas 2008-06-14 04:35:24 EDT
This is fixed in F-9 and rawhide.

It is not completly sure that it is fixed in F-8, however F-8 will be EOL
in 6 months and the gecko stuff is messy. If somebody could test, 
to make sure it would be nice, but I close this in the mean time.

Note You need to log in before you can comment on or make changes to this bug.